import { useSocketStoreWithOut } from '@/stores/modules/socket'

const socketStore = useSocketStoreWithOut()



// 初始化socket
export const initSocket = () => {
  if (!socketStore.socket) {
    socketStore.initSocket()
  }
}


// 初始化
export const init = async () => {
  return Promise.all([
    await initSocket(),
  ])
}
